## qtwebengine-opensource-src 5.15.14+dfsg

=== debian/changelog ===
qtwebengine-opensource-src (5.15.14+dfsg-4) unstable; urgency=medium

  * Merge 5.15.13+dfsg-6 upload from unstable.
  * Revert "mipsel: Add -Os to CFLAGS and CXXFLAGS explicitly".
  * Instead, add a patch which sets -Os on mipsel even for modules that
    have "optimize_max" config. Thanks Adrian Bunk!
  * Remove more unused code from debian/rules.
  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 18:27:27 +0300

qtwebengine-opensource-src (5.15.14+dfsg-3) experimental; urgency=medium

  * Merge 5.15.13+dfsg-3 upload from unstable.
  * Add a patch to fix build with GCC 13 (closes: #1037832).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 19 Jun 2023 23:44:11 +0300

qtwebengine-opensource-src (5.15.14+dfsg-2) experimental; urgency=medium

  * Build against Qt 5.15.10.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Jun 2023 21:21:24 +0300

qtwebengine-opensource-src (5.15.14+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update SUBMODULE_COMMIT for the new release.
  * Bump ABI version to qtwebengine-abi-5-15-14.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 27 May 2023 18:36:45 +0300

qtwebengine-opensource-src (5.15.13+dfsg-6) unstable; urgency=medium

  * mipsel: Add -Os to CFLAGS and CXXFLAGS explicitly, so it applies to skia,
    third_party/ffmpeg and third_party/libyuv.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 07 Jul 2023 11:34:36 +0300

qtwebengine-opensource-src (5.15.13+dfsg-5) unstable; urgency=medium

  * Remove unused code in debian/rules.
  * Build with gold and -Os on mipsel, thanks Adrian Bunk!

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 06 Jul 2023 13:33:36 +0300

qtwebengine-opensource-src (5.15.13+dfsg-4) unstable; urgency=medium

  * Pass --reduce-memory-overheads to ld on mipsel as an attempt to fix OOM.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 26 Jun 2023 12:06:04 +0300

qtwebengine-opensource-src (5.15.13+dfsg-3) unstable; urgency=medium

  * Revert "Build against Qt 5.15.9", for unstable upload.
  * Remove ffmpeg code for shift optimization on x86 (closes: #1038132).
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 19 Jun 2023 09:36:10 +0300

qtwebengine-opensource-src (5.15.13+dfsg-2) experimental; urgency=medium

  * Build against Qt 5.15.9.
  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.
  * Fix obsolete build-dependency: libfontconfig1-dev => libfontconfig-dev.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 23 Apr 2023 23:11:58 +0300

qtwebengine-opensource-src (5.15.13+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update SUBMODULE_COMMIT for the new release.
  * Remove copyright section for debian/missing-sources/jszip-2.4.0.
  * Build with pipewire support (closes: #1005824).
    - Backport upstream patch to improve screen sharing with PipeWire
      on Wayland and to add support for PipeWire 0.3.
    - Thanks Pirate Praveen and Cédric Hannotier!
    - Add four new symbols to debian/libqt5webenginecore5.symbols.
  * Bump ABI version to qtwebengine-abi-5-15-13.
  * Drop gcc-12.patch, included in the new release.
  * Refresh debian/patches/python3.patch.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 19 Mar 2023 21:40:17 +0300
