## qtwebengine-opensource-src 5.15.15+dfsg

=== debian/changelog ===
qtwebengine-opensource-src (5.15.15+dfsg-3deepin3) unstable; urgency=medium

  * Add LoongArch support.

 -- Mingcong Bai <baimingcong@uniontech.com>  Fri, 28 Jun 2024 08:47:52 +0800

qtwebengine-opensource-src (5.15.15+dfsg-3deepin2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Add a patch from Gentoo to fix build with ICU 74.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 07 Mar 2024 14:40:40 +0800

qtwebengine-opensource-src (5.15.15+dfsg-3deepin1) unstable; urgency=medium

  * Fix riscv64 build (closes: #1030916)

 -- Chang Yang <yangchang@deepin.org>  Wed, 15 Nov 2023 21:11:30 +0800

qtwebengine-opensource-src (5.15.15+dfsg-2) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 12 Sep 2023 09:36:14 +0300

qtwebengine-opensource-src (5.15.15+dfsg-1) experimental; urgency=medium

  [ Soren Stoutner ]
  * Add needed dependencies to qtwebengine5-examples (closes: #934130).
  * Add patch to fix .pro files in qtwebengine5-examples.
  * Add qtwebengine5-examples.README.Debian to explain how to build the examples
    from scratch.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Update SUBMODULE_COMMIT for the new release.
  * Drop gcc-13.patch, included in the new release.
  * Replace ffmpeg-remove-x86-optimization.patch with a patch that was
    applied in upstream ffmpeg.
  * Drop support for mipsel, which was removed from unstable.
    - Drop five patches which are no longer needed.
    - Rename patches which are still needed for mips64el to mips64el-*.patch.
  * Bump ABI version to qtwebengine-abi-5-15-15.
  * Update symbols files from the current build logs.
  * Delete all build artifacts in the clean target (closes: #1048922).
  * Don’t change .qmake.conf, instead pass options to qmake via command line.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 08 Sep 2023 11:22:10 +0300

qtwebengine-opensource-src (5.15.14+dfsg-6) unstable; urgency=medium

  * Don’t enable use_icf with gold on mipsel. Thanks to Adrian Bunk!

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 13 Jul 2023 19:59:54 +0300

qtwebengine-opensource-src (5.15.14+dfsg-5) unstable; urgency=medium

  * Update optimize-size.patch to add -Os in two more places. Thanks to
    Adrian Bunk again!

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 09 Jul 2023 22:41:05 +0300
