=== debian/control ===
--- 
+++ 
@@ -43,9 +43,9 @@
                libpng-dev,
                libprotobuf-dev,
                libpulse-dev,
-               libqt5opengl5-dev (>= 5.15.10+dfsg~),
-               libqt5svg5-dev (>= 5.15.10~),
-               libqt5webchannel5-dev (>= 5.15.10~),
+               libqt5opengl5-dev (>= 5.15.8),
+               libqt5svg5-dev (>= 5.15.7),
+               libqt5webchannel5-dev (>= 5.15.7),
                libre2-dev,
                libsnappy-dev,
                libsqlite3-dev,
@@ -74,29 +74,29 @@
                pkg-kde-tools,
                protobuf-compiler,
                python3,
-               qtbase5-dev (>= 5.15.10+dfsg~),
-               qtbase5-private-dev (>= 5.15.10+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.10+dfsg~),
-               qtpositioning5-dev (>= 5.15.10+dfsg~),
-               qtquickcontrols2-5-dev (>= 5.15.10+dfsg~),
-               qttools5-dev (>= 5.15.10~),
+               qtbase5-dev (>= 5.15.8),
+               qtbase5-private-dev (>= 5.15.8),
+               qtdeclarative5-private-dev (>= 5.15.8),
+               qtpositioning5-dev (>= 5.15.7),
+               qtquickcontrols2-5-dev (>= 5.15.7),
+               qttools5-dev (>= 5.15.8),
                re2c,
                rollup,
                ruby,
                xauth,
                xvfb,
                yui-compressor
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.10~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.10~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.10~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.10+dfsg~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.7~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.7~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.7~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.7) <!nodoc>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebengine
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebengine.git
 Homepage: https://doc.qt.io/qt-5/qtwebengine-index.html
 
 Package: qtwebengine5-dev
-Architecture: amd64 arm64 armhf i386 mips64el mipsel
+Architecture: amd64 arm64 armhf i386 loong64 mips64el riscv64
 Multi-Arch: same
 Section: libdevel
 Depends: libqt5webchannel5-dev,
@@ -117,7 +117,7 @@
  using QtWebEngine library.
 
 Package: qtwebengine5-private-dev
-Architecture: amd64 arm64 armhf i386 mips64el mipsel
+Architecture: amd64 arm64 armhf i386 loong64 mips64el riscv64
 Multi-Arch: same
 Section: libdevel
 Depends: qtwebengine5-dev (= ${binary:Version}), ${misc:Depends}
@@ -129,7 +129,7 @@
  Qt 5 applications using QtWebEngine library.
 
 Package: qtpdf5-dev
-Architecture: amd64 arm64 armhf i386 mips64el mipsel
+Architecture: amd64 arm64 armhf i386 loong64 mips64el riscv64
 Multi-Arch: same
 Section: libdevel
 Depends: libqt5pdf5 (= ${binary:Version}),
@@ -144,7 +144,7 @@
  using Qt PDF library.
 
 Package: libqt5webengine5
-Architecture: amd64 arm64 armhf i386 mips64el mipsel
+Architecture: amd64 arm64 armhf i386 loong64 mips64el riscv64
 Multi-Arch: same
 Depends: libqt5webengine-data (= ${source:Version}),
          ${misc:Depends},
@@ -157,9 +157,9 @@
  This package contains the QtWebEngine library.
 
 Package: libqt5webenginecore5
-Architecture: amd64 arm64 armhf i386 mips64el mipsel
-Multi-Arch: same
-Provides: qtwebengine-abi-5-15-14
+Architecture: amd64 arm64 armhf i386 loong64 mips64el riscv64
+Multi-Arch: same
+Provides: qtwebengine-abi-5-15-15
 Depends: libqt5webengine-data (= ${source:Version}),
          sse2-support [i386],
          ${misc:Depends},
@@ -174,7 +174,7 @@
  This package contains the core QtWebEngine library.
 
 Package: libqt5webenginewidgets5
-Architecture: amd64 arm64 armhf i386 mips64el mipsel
+Architecture: amd64 arm64 armhf i386 loong64 mips64el riscv64
 Multi-Arch: same
 Depends: libqt5webengine-data (= ${source:Version}),
          ${misc:Depends},
@@ -187,7 +187,7 @@
  This package contains the widget QtWebEngine library.
 
 Package: libqt5pdf5
-Architecture: amd64 arm64 armhf i386 mips64el mipsel
+Architecture: amd64 arm64 armhf i386 loong64 mips64el riscv64
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 PDF library
@@ -196,7 +196,7 @@
  This package contains the Qt PDF library.
 
 Package: libqt5pdfwidgets5
-Architecture: amd64 arm64 armhf i386 mips64el mipsel
+Architecture: amd64 arm64 armhf i386 loong64 mips64el riscv64
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 PDF Widgets library
@@ -216,7 +216,7 @@
  This package contains the arch independent parts of QtWebEngine libraries.
 
 Package: qt5-image-formats-plugin-pdf
-Architecture: amd64 arm64 armhf i386 mips64el mipsel
+Architecture: amd64 arm64 armhf i386 loong64 mips64el riscv64
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 PDF image format plugin
@@ -226,7 +226,7 @@
  to view PDF files (the first page of PDF will be shown).
 
 Package: qml-module-qtwebengine
-Architecture: amd64 arm64 armhf i386 mips64el mipsel
+Architecture: amd64 arm64 armhf i386 loong64 mips64el riscv64
 Multi-Arch: same
 Depends: qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -237,7 +237,7 @@
  This package contains the WebEngine QML module for QtDeclarative.
 
 Package: qml-module-qtquick-pdf
-Architecture: amd64 arm64 armhf i386 mips64el mipsel
+Architecture: amd64 arm64 armhf i386 loong64 mips64el riscv64
 Multi-Arch: same
 Depends: qml-module-qtgraphicaleffects (>= 5.12),
          qml-module-qtquick-controls2 (>= 5.14),
@@ -254,7 +254,7 @@
  This package contains the Qt Quick PDF QML module.
 
 Package: qtwebengine5-dev-tools
-Architecture: amd64 arm64 armhf i386 mips64el mipsel
+Architecture: amd64 arm64 armhf i386 loong64 mips64el riscv64
 Multi-Arch: foreign
 Section: devel
 Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
@@ -267,18 +267,23 @@
  in Qt WebEngine.
 
 Package: qtwebengine5-examples
-Architecture: amd64 arm64 armhf i386 mips64el mipsel
+Architecture: amd64 arm64 armhf i386 loong64 mips64el riscv64
 Multi-Arch: same
 Depends: libjs-jquery,
          libjs-marked,
          qml-module-qt-labs-settings,
          qml-module-qtquick-controls,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-dialogs,
          qml-module-qtquick-layouts,
          qml-module-qtquick-window2,
          qml-module-qtwebengine,
-         qtwebengine5-dev-tools,
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: qt5-qmake,
+            qtwebengine5-dev,
+            qtwebengine5-dev-tools
+Suggests: build-essential
 Pre-Depends: ${misc:Pre-Depends}
 Description: Qt WebEngine - Examples
  QtWebEngine provides a Web browser engine that makes it easy to embed content
@@ -287,7 +292,7 @@
  This package contains the WebEngine examples.
 
 Package: qtpdf5-examples
-Architecture: amd64 arm64 armhf i386 mips64el mipsel
+Architecture: amd64 arm64 armhf i386 loong64 mips64el riscv64
 Multi-Arch: same
 Depends: qml-module-qtquick-pdf (= ${binary:Version}),
          ${misc:Depends},
@@ -324,10 +329,3 @@
 
 Package: qtpdf5-doc
 Build-Profiles: <!nodoc>
-Architecture: all
-Multi-Arch: foreign
-Section: doc
-Depends: ${misc:Depends}
-Description: Qt 5 PDF documentation
- The Qt PDF module contains classes and functions for rendering PDF documents.
- .
