=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,6 @@
 endif
 endif
 
-small_architectures := armhf mipsel
-
 config_args = -proprietary-codecs \
               -feature-webengine-system-libvpx \
               -feature-webengine-system-openjpeg2 \
@@ -35,67 +33,67 @@
               -webengine-webrtc-pipewire \
               -webengine-kerberos
 
+# Disable debugging symbols; save memory during linking; hardening.
+qmake_args = \
+	'QMAKE_CFLAGS-=-g' \
+	'QMAKE_CXXFLAGS-=-g' \
+	'QT_CONFIG-=force_debug_info separate_debug_info' \
+	'QMAKE_LFLAGS+=-Wl,--no-keep-memory -Wl,-z,now'
+
+ifeq ($(DEB_HOST_ARCH),armhf)
+	qmake_args += \
+		'QMAKE_CFLAGS+=--param ggc-min-expand=20' \
+		'QMAKE_CXXFLAGS+=--param ggc-min-expand=20' \
+		'QMAKE_LFLAGS-=-Wl,--gc-sections'
+endif
+
+ifeq ($(DEB_HOST_ARCH),i386)
+	# Make the following linker warning on i386 not fatal:
+	# /usr/bin/ld: .../src/core/release/obj/third_party/ffmpeg/ffmpeg_nasm/dct32.o: warning: relocation in read-only section `.text'
+	# /usr/bin/ld: warning: creating DT_TEXTREL in a shared object
+	# Upstream does the same for lld linker, see third_party/ffmpeg/BUILD.gn.
+	qmake_args += 'QMAKE_LFLAGS+=-Wl,-z,notext'
+endif
+
 touch_files = src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/lighthouse-dt-bundle.js \
 	      src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/report-assets/report-generator.js \
 	      src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/diff/diff_match_patch.js \
 	      src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/acorn/package/dist/acorn.js \
 	      src/3rdparty/chromium/third_party/web-animations-js/sources/web-animations-next-lite.min.js
 
+ifeq (loong64, $(DEB_HOST_ARCH))
+	TARGET_PATCH = patch_loong64
+else ifeq (riscv64, $(DEB_HOST_ARCH))
+	TARGET_PATCH = patch_riscv64
+endif
+
+patch_loong64:
+	patch -p1 < debian/patches/0001-Port-for-loongarch64.patch 
+
+patch_riscv64:
+	patch -p1 < debian/patches/add-riscv64-support.patch
+
 %:
 	dh $@ --with pkgkde_symbolshelper
 
+override_dh_autoreconf: $(TARGET_PATCH)
+	dh_autoreconf
+
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -f .qmake.cache
-	rm -f config.tests/.qmake.cache
-	rm -f qtwebengine-config.h
 
-	rm -rf $(CURDIR)/test_root
-	rm -rf $(CURDIR)/docs
-	rm -rf $(CURDIR)/.local
-	rm -f $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/jstemplate_compiled.js
-	rm -f $(CURDIR)/examples/webenginewidgets/contentmanipulation/jquery*.js
+	find -name __pycache__ | xargs rm -rfv
+	find examples/ -type f -executable -delete
+	find tests/ -type f -executable -delete
+	find examples/ -name Makefile -delete
+	find tests/ -name Makefile -delete
 
 	for fname in $(touch_files); do \
 		rm -f $(CURDIR)/$${fname}; \
 	done
 
 override_dh_auto_configure:
-	# Run qmake once to create .qmake.conf and be sure to append the following values.
-	qmake QT_BUILD_PARTS+=tests QMAKE_EXTRA_ARGS+="$(config_args)" QMAKE_PYTHON3=python3
-
-	# Disable debugging symbols.
-	echo "QMAKE_CFLAGS -= -g" >> .qmake.conf
-	echo "QMAKE_CXXFLAGS -= -g" >> .qmake.conf
-	echo "QT_CONFIG -= force_debug_info" >> .qmake.conf
-	echo "QT_CONFIG -= separate_debug_info" >> .qmake.conf
-
-ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(small_architectures)))
-	echo "QMAKE_CXXFLAGS += --param ggc-min-expand=20" >> .qmake.conf
-	echo "QMAKE_CFLAGS += --param ggc-min-expand=20" >> .qmake.conf
-	echo "QMAKE_LFLAGS -= Wl,--gc-sections" >> .qmake.conf
-endif
-
-	# Make ld not cache the symbol tables of input files in memory to avoid memory exhaustion during the linking phase.
-	echo "QMAKE_LFLAGS += -Wl,--no-keep-memory" >> .qmake.conf
-
-ifeq ($(DEB_HOST_ARCH),mipsel)
-	echo "CONFIG += use_gold_linker optimize_size" >> .qmake.conf
-endif
-
-	# Missing hardening flag detected by blhc
-	echo "QMAKE_LFLAGS += -Wl,-z,now" >> .qmake.conf
-
-ifeq ($(DEB_HOST_ARCH),i386)
-	# Make the following linker warning on i386 not fatal:
-	# /usr/bin/ld: .../src/core/release/obj/third_party/ffmpeg/ffmpeg_nasm/dct32.o: warning: relocation in read-only section `.text'
-	# /usr/bin/ld: warning: creating DT_TEXTREL in a shared object
-	# Upstream does the same for lld linker, see third_party/ffmpeg/BUILD.gn.
-	echo "QMAKE_LFLAGS += -Wl,-z,notext" >> .qmake.conf
-endif
-
-	# Run qmake again now with the proper values.
-	qmake QT_BUILD_PARTS+=tests QMAKE_EXTRA_ARGS+="$(config_args)" QMAKE_PYTHON3=python3
+	qmake QT_BUILD_PARTS+=tests QMAKE_EXTRA_ARGS+="$(config_args)" QMAKE_PYTHON3=python3 $(qmake_args)
 
 	# Create js files, that are needed for building step for arch and indep builds
 	cd $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/; \
@@ -172,7 +170,7 @@
 	@set -eux && \
 	TEMPDIR=$$(mktemp -d) && \
 	VERSION=${DEB_VERSION_UPSTREAM:+dfsg=} && \
-	SUBMODULE_COMMIT=18c9261dc5b8aa57a0bdd5b62ce6f648cca1ef5e && \
+	SUBMODULE_COMMIT=8df91f886e7fffb61408e2426f8a90d763a3b6ea && \
 	echo "$${GET_FILES_EXCLUDED}" >$${TEMPDIR}/get_files_excluded.py && \
 	cd $${TEMPDIR} && \
 	wget https://github.com/qt/qtwebengine/archive/v$${VERSION}-lts.tar.gz && \
